#ifndef ACCELEROMETERINFO_H
#define ACCELEROMETERINFO_H

#include <QObject>
#include <QAccelerometer>
#include <QAccelerometerFilter>

#include "qdll_global.h"

QTM_USE_NAMESPACE

class QDLLSHARED_EXPORT AccelerometerInfo : public QObject, public QAccelerometerFilter
{
    Q_OBJECT
    Q_CLASSINFO("Author", "Sebastiano Galazzo")
    Q_CLASSINFO("Email", "sebastiano.galazzo@gmail.com")

 public:
    AccelerometerInfo();
    bool filter(QAccelerometerReading *reading);

    qreal x;
    qreal y;
    qreal z;

private:
    QAccelerometer* m_sensor;
};

#endif // ACCELEROMETERINFO_H
